The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Linux kernel, OpenBSD: information disclosure via Intel GPU EU State During Context Switch

Synthesis of the vulnerability 

An attacker can bypass access restrictions to data via Intel GPU EU State During Context Switch of the Linux or OpenBSD kernel, in order to obtain sensitive information.
Impacted products: Debian, Fedora, Linux, OpenBSD, openSUSE Leap, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this bulletin: 1/4.
Creation date: 15/01/2020.
Références of this threat: CERTFR-2020-AVI-060, CERTFR-2020-AVI-096, CERTFR-2020-AVI-119, CERTFR-2020-AVI-123, CERTFR-2020-AVI-124, CERTFR-2020-AVI-130, CERTFR-2020-AVI-148, CERTFR-2020-AVI-318, CVE-2019-14615, DLA-2114-1, FEDORA-2020-c2d89d14d0, FEDORA-2020-e328697628, openSUSE-SU-2020:0336-1, PSIRT-TA-201910-001, SSA:2020-086-01, SUSE-SU-2020:0511-1, SUSE-SU-2020:0558-1, SUSE-SU-2020:0559-1, SUSE-SU-2020:0560-1, SUSE-SU-2020:0580-1, SUSE-SU-2020:0599-1, SUSE-SU-2020:0605-1, SUSE-SU-2020:1255-1, USN-4253-1, USN-4253-2, USN-4254-1, USN-4254-2, USN-4255-1, USN-4255-2, USN-4284-1, USN-4285-1, USN-4286-1, USN-4286-2, USN-4287-1, USN-4287-2, VIGILANCE-VUL-31335.

Description of the vulnerability 

An attacker can bypass access restrictions to data via Intel GPU EU State During Context Switch of the Linux or OpenBSD kernel, in order to obtain sensitive information.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This security note impacts software or systems such as Debian, Fedora, Linux, OpenBSD, openSUSE Leap, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this threat announce is low.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this computer weakness announce.

Solutions for this threat 

Linux kernel: version 5.4.12.
The version 5.4.12 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v5.x/

Linux kernel: version 4.19.96.
The version 4.19.96 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Linux kernel: version 4.14.165.
The version 4.14.165 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Linux kernel: version 4.9.210.
The version 4.9.210 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Linux kernel: version 4.4.210.
The version 4.4.210 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

OpenBSD: patch for Intel GPU EU State During Context Switch.
A patch is available:
  https://ftp.openbsd.org/pub/OpenBSD/patches/6.5/common/028_inteldrmctx.patch.sig
  https://ftp.openbsd.org/pub/OpenBSD/patches/6.6/common/017_inteldrmctx.patch.sig

Debian 8: new linux-4.9 packages.
New packages are available:
  Debian 8: linux-4.9 4.9.210-1~deb8u1

Fedora: new kernel packages.
New packages are available:
  Fedora 30: kernel 5.4.12-100.fc30
  Fedora 31: kernel 5.4.12-200.fc31

openSUSE Leap 15.1: new kernel packages (13/03/2020).
New packages are available:
  openSUSE Leap 15.1: kernel 4.12.14-lp151.28.40.1

Slackware 14.2: new kernel packages (27/03/2020).
New packages are available:
  Slackware 14.2: kernel 4.4.217-i586-1

SUSE LE 12 SP2: new kernel packages.
New packages are available:
  SUSE LE 12 SP2: kernel-default 4.4.121-92.129.1

SUSE LE 12 SP4: new kernel-azure packages (03/03/2020).
New packages are available:
  SUSE LE 12 SP4: kernel-azure 4.12.14-6.37.1

SUSE LE 12 SP4: new kernel-rt packages.
New packages are available:
  SUSE LE 12 SP4: kernel-rt 4.12.14-8.12.1

SUSE LE 12 SP5: new kernel-azure packages (03/03/2020).
New packages are available:
  SUSE LE 12 SP5: kernel-azure 4.12.14-16.10.1

SUSE LE 12 SP5: new kernel packages (04/03/2020).
New packages are available:
  SUSE LE 12 SP5: kernel 4.12.14-122.17.1

SUSE LE 12 SP5: new kernel-rt packages.
New packages are available:
  SUSE LE 12 SP5: kernel-rt 4.12.14-6.3.1

SUSE LE 15 SP1: new kernel-azure packages (28/02/2020).
New packages are available:
  SUSE LE 15 SP1: kernel-azure 4.12.14-8.27.1

SUSE LE 15 SP1: new kernel packages (03/03/2020).
New packages are available:
  SUSE LE 15 SP1: kernel 4.12.14-197.34.1

Ubuntu 18.04: new linux-image-5.0.0 packages (19/02/2020).
New packages are available:
  Ubuntu 18.04 LTS: linux-image-azure 5.0.0.1032.43

Ubuntu: new linux-image-4.15.0 packages (19/02/2020).
New packages are available:
  Ubuntu 18.04 LTS: linux-image-generic 4.15.0.88.80
  Ubuntu 16.04 LTS: linux-image-generic-hwe-16.04 4.15.0.88.98
  Ubuntu 14.04 ESM: linux-image-azure 4.15.0.1069.55

Ubuntu: new linux-image-4.15.0 packages (28/01/2020).
New packages are available:
  Ubuntu 16.04 LTS: linux-image-generic-hwe-16.04 4.15.0.76.96
  Ubuntu 18.04 LTS: linux-image-generic 4.15.0.76.78

Ubuntu: new linux-image-4.4.0 packages (19/02/2020).
New packages are available:
  Ubuntu 14.04 ESM: linux-image-generic-lts-xenial 4.4.0.174.153
  Ubuntu 16.04 LTS: linux-image-generic 4.4.0.174.182

Ubuntu: new linux-image-4.4.0 packages (28/01/2020).
New packages are available:
  Ubuntu 14.04 ESM: linux-image-generic-lts-xenial 4.4.0.173.152
  Ubuntu 16.04 LTS: linux-image-generic 4.4.0.173.181

Ubuntu: new linux-image-5.3.0 packages (19/02/2020).
New packages are available:
  Ubuntu 19.10: linux-image-generic 5.3.0.40.34
  Ubuntu 18.04 LTS: linux-image-generic-hwe-18.04 5.3.0.40.97

Ubuntu: new linux-image-5.3.0 packages (28/01/2020).
New packages are available:
  Ubuntu 18.04 LTS: linux-image-generic-hwe-18.04 5.3.0.28.96
  Ubuntu 19.10: linux-image-generic 5.3.0.29.33

Wind River Linux: version 10.18.44.17.
The version 10.18.44.17 is fixed:
  https://support2.windriver.com/

Wind River Linux: version 10.19.45.7.
The version 10.19.45.7 is fixed:
  https://support2.windriver.com/
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides an applications vulnerabilities note. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.